<?php
/**
 * WPLOOK functions and definitions
 *
 * @package WPlook
 * @subpackage BlogoLife
 * @since BlogoLife Pro 1.0.0
 */
//error_reporting(E_ALL & ~E_NOTICE);

// VARIABLES
$themename = "BlogoLife PRO";					//Theme Name
$themever = "1.0.4";							//Theme version
$fwver = "1.2";									//Framework version
$shortname = "wpl";								//Shortname 


// Set path to WPlook Framework and theme specific functions

$be_path = get_template_directory() . '/functions/be/';						//BackEnd Path
$fe_path = get_template_directory() . '/functions/fe/';						//FrontEnd Path
$pro_path = get_template_directory() . '/functions/pro/';					//PRO Path

$be_pathimages = get_template_directory_uri() . '/functions/be/images';		//BackEnd Path
$fe_pathimages = get_template_directory_uri() . '';							//FrontEnd Path

//Include Framework [BE]
require_once ($be_path . 'fw-setup.php');					// Init
require_once ($be_path . 'fw-options.php');					// Framework Init
require_once ($be_path . 'update-notifier.php');			//Update Notifier

// Include Theme specific functionality [FE] 
require_once ($fe_path . 'setup.php');						// Base Init
require_once ($fe_path . 'widgets-init.php');				// Init widget FE
require_once ($fe_path . 'headerdata.php');					// Include css and js
require_once ($fe_path . 'comment.php');					// Comments

// Include Theme PRO functionality [FE+BE] 
require_once ($pro_path . 'setup.php');							//Base Init
require_once ($pro_path . 'widget-tab.php');					//Tab widget
require_once ($pro_path . 'widget-adv.php');					//Advertising 
require_once ($pro_path . 'ui/ui-labs.php');					//Post formats design
require_once ($pro_path . 'social/social.php');					//Social Share
// translation-ready
	load_theme_textdomain( 'wplook', get_template_directory() . '/languages' );
	$locale = get_locale();
	$locale_file = get_template_directory() . "/languages/$locale.php";
	if ( is_readable( $locale_file ) )
		require_once( $locale_file );	
?>