<?php
/**
 * The Tab Widget
 *
 * @package WPlook
 * @subpackage BlogoLife Pro
 * @since BlogoLife Pro 1.0.0
 */
	
add_action('widgets_init', create_function('', 'return register_widget("TabWidget");'));

class TabWidget extends WP_Widget {
	
	
	function TabWidget() {
		$widget_ops = array('classname' => 'TabWidget', 'description' => __('A widget with "latest posts", "Comments" and "Popular posts"', 'wpl') );
		$control_ops = array('width' => 200, 'height' => 400);
		$this->WP_Widget('aTabWidget', __('WPLOOK Tab Widget', 'wpl'), $widget_ops, $control_ops);
	}
	
	function form($instance) {
	// outputs the options form on admin
		if ( $instance ) {
			$number_of_posts = esc_attr( $instance[ 'number_of_posts' ] );
		}
		else {
			$number_of_posts = __( '10', 'wplook' );
		} 
	
		if ( $instance ) {
			$number_of_recent_comments = esc_attr( $instance[ 'number_of_recent_comments' ] );
		}
		else {
			$number_of_recent_comments = __( '5', 'wplook' );
		} 
		
		if ( $instance ) {
			$number_of_popular_posts = esc_attr( $instance[ 'number_of_popular_posts' ] );
		}
		else {
			$number_of_popular_posts = __( '10', 'wplook' );
		} 
	?>

<p>
	<label for="<?php echo $this->get_field_id('number_of_posts'); ?>">
		<?php _e('Number of Posts:', 'wplook'); ?>
	</label>
	<input class="widefat" id="<?php echo $this->get_field_id('number_of_posts'); ?>" name="<?php echo $this->get_field_name('number_of_posts'); ?>" type="text" value="<?php echo $number_of_posts; ?>" />
</p>
<p>
	<label for="<?php echo $this->get_field_id('number_of_recent_comments'); ?>">
		<?php _e('Number of recent comments:', 'wplook'); ?>
	</label>
	<input class="widefat" id="<?php echo $this->get_field_id('number_of_recent_comments'); ?>" name="<?php echo $this->get_field_name('number_of_recent_comments'); ?>" type="text" value="<?php echo $number_of_recent_comments; ?>" />
</p>
<p>
	<label for="<?php echo $this->get_field_id('number_of_popular_posts'); ?>">
		<?php _e('Number of popular posts:', 'wplook'); ?>
	</label>
	<input class="widefat" id="<?php echo $this->get_field_id('number_of_popular_posts'); ?>" name="<?php echo $this->get_field_name('number_of_popular_posts'); ?>" type="text" value="<?php echo $number_of_popular_posts; ?>" />
</p>
<?php 
	}

	function update($new_instance, $old_instance) {
		// processes widget options to be saved
		$instance = $old_instance;
		$instance['number_of_posts'] = strip_tags($new_instance['number_of_posts']);
		$instance['number_of_recent_comments'] = strip_tags($new_instance['number_of_recent_comments']);
		$instance['number_of_popular_posts'] = strip_tags($new_instance['number_of_popular_posts']);
		return $instance;
	}

	function widget($args, $instance) {
		// outputs the content of the widget
		$number_of_posts = apply_filters('widget_title', $instance['number_of_posts']);
		$number_of_recent_comments = apply_filters('widget_title', $instance['number_of_recent_comments']);
		$number_of_popular_posts = apply_filters('widget_title', $instance['number_of_popular_posts']);
	?>

	<!-- the tabs --> 
<aside id="tabs-widget" class="widget">
	<div class="widget-title">
		<ul class="tabu">
			<li><a href="#"><?php _e('Latest', 'wplook'); ?></a></li>
			<li><a href="#"><?php _e('Comments', 'wplook'); ?></a></li>
			<li><a href="#"><?php _e('Popular', 'wplook'); ?></a></li>
		</ul>
		<div class="right-corner"></div>
	</div>
	<!-- tab "Latest Posts" -->
<div class="pane">
<ul>
<?php
$wpl_latest_posts = array(
'ignore_sticky_posts'=> 1,
'post_type' => 'post',
'post_status' => 'publish',
'posts_per_page' => $number_of_posts
);
$the_query = null;
// The Query
$the_query = new WP_Query( $wpl_latest_posts );
// The Loop
while ( $the_query->have_posts() ) : $the_query->the_post();?>
	<li><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>
<?php endwhile;
	// Reset Post Data
	wp_reset_postdata();?>
</ul>
	</div>
	<!-- "Recent Comments" -->
<div class="pane"><ul>
<?php 
$comment_length = 120;
$comments = get_comments(array('number'=> $number_of_recent_comments, 'status' => 'approve'));
$count_avatar_comment = 0;
if ($comments) {
foreach ($comments as $comment) 
{ ?>
<?php $count_avatar_comment++; ?>
<li><?php echo get_avatar($comment,$size='50' ); ?><span class="commentr_author_title"><a href="<?php echo $comment->comment_author_url; ?>" rel="nofollow"><?php echo $comment->comment_author; ?></a></span>
	<p><a href="<?php echo get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment->comment_ID; ?>"><?php echo strip_tags(substr(apply_filters('get_comment_text', $comment->comment_content), 0, $comment_length)); ?>...</a></p>
	<div class="clear"></div></li>
<?php } } else { echo "<li><?php _e('No comments yet!', 'wplook'); ?></li>"; } ?>
</ul></div>
	<!-- "Popular" -->
<div class="pane"><ul>
<?php
$wpl_popular_posts = array(
'ignore_sticky_posts'=> 1,
'post_type' => 'post',
'post_status' => 'publish',
'posts_per_page' => $number_of_popular_posts,
'orderby' => 'comment_count');
 $the_query = null;
 // The Query
 $the_query = new WP_Query( $wpl_popular_posts );
 // The Loop
 while ( $the_query->have_posts() ) : $the_query->the_post();?>
<li><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>
<?php endwhile; wp_reset_postdata(); ?>
</ul></div>
<script type="text/javascript">
	$(function(){$(".widget-title ul.tabu").tabu("#tabs-widget .pane");});
	
</script>
</aside>
<?php	} } ?>